function main()
{
  var prefix = "abc"; //defined prefix

  var regular_expression_prefix = new RegExp(prefix+"_");

  var app = System.GetInterface('Application');
  var Model = app.Models.GetObject(0);
  //... parameter in GetObject determines with which model the script should work.
  //0 = first model listed in the Application View, 1 = second model listed in the Application View etc.

  for (e=0; e<Model.Entities.Count; e++)
  {
    Entity = Model.Entities.GetObject(e);
    if (Entity.Name.search(regular_expression_prefix) == -1) //if prefix is not used in name
    {
      Entity.Lock();
      Entity.Name = prefix+"_"+Entity.Name; //change name of entity
      Entity.UnLock();
      Log.Information("Name of entity "+Entity.Name+" was changed.");
    }
   
    for (i=0; i<Entity.Indexes.Count; i++)
    {
      Index = Entity.Indexes.GetObject(i);
      if (Index.Name.search(regular_expression_prefix) == -1) //if prefix is not used in name
      {
        Index.Lock();
        Index.Name = prefix+"_"+Index.Name; //change name of index
        Index.UnLock();
        Log.Information("Name of index "+Index.Name+" in entity "+Index.Owner.Name+" was changed.");
      }
    }

    for (t=0; t<Entity.Triggers.Count; t++)
    {
      Trigger = Entity.Triggers.GetObject(t);
      if (Trigger.Name.search(regular_expression_prefix) == -1) //if prefix is not used in name
      {
        Trigger.Lock();
        Trigger.Name = prefix+"_"+Trigger.Name; //change name of trigger
        Trigger.UnLock();
        Log.Information("Name of trigger "+Trigger.Name+" in entity "+Index.Owner.Name+" was changed.");
      }
    }
  }
} 